Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TexCoordModifierControllerValue Class Reference

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates). More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TexCoordModifierControllerValue:

[legend]
List of all members.

## Public Methods

| TexCoordModifierControllerValue (TextureUnitState *t, bool translateU=false, bool translateV=false, bool scaleU=false, bool scaleV=false, bool rotate=false)
| Constructor.
Real | getValue (void) const
void | setValue (Real value)

## Protected Attributes

bool | mTransU
bool | mTransV
bool | mScaleU
bool | mScaleV
bool | mRotate
TextureUnitState * | mTextureLayer

## Detailed Description

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates).

Remarks:
  Effects can be applied to the scale or the offset of the u or v coordinates, or both. If separate modifications are required to u and v then 2 instances are required to control both independently, or 4 if you ant separate u and v scales as well as separate u and v offsets.

  Because of the nature of this value, it can accept values outside the 0..1 parametric range.

Definition at line 85 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::TexCoordModifierControllerValue::TexCoordModifierControllerValue | ( | TextureUnitState * | t,
|  | bool | translateU = false,
|  | bool | translateV = false,
|  | bool | scaleU = false,
|  | bool | scaleV = false,
|  | bool | rotate = false
| ) |

Constructor.

Parameters:

  t | TextureUnitState to apply the modification to.
  translateU | If true, the u coordinates will be translated by the modification.
  translateV | If true, the v coordinates will be translated by the modification.
  scaleU | If true, the u coordinates will be scaled by the modification.
  scaleV | If true, the v coordinates will be scaled by the modification.
  rotate | If true, the texture will be rotated by the modification.

Definition at line 98 of file OgrePredefinedControllers.cpp.

References mRotate, mScaleU, mScaleV, mTextureLayer, mTransU, and mTransV.

## Member Function Documentation

Real Ogre::TexCoordModifierControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| Implements Ogre::ControllerValue< Real >. Definition at line 109 of file OgrePredefinedControllers.cpp. References Ogre::TextureUnitState::getTextureTransform(), mTextureLayer, and Ogre::Real.

void Ogre::TexCoordModifierControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| Implements Ogre::ControllerValue< Real >. Definition at line 132 of file OgrePredefinedControllers.cpp. References mTextureLayer, Ogre::Real, Ogre::TextureUnitState::setTextureRotate(), Ogre::TextureUnitState::setTextureUScale(), Ogre::TextureUnitState::setTextureUScroll(), Ogre::TextureUnitState::setTextureVScale(), and Ogre::TextureUnitState::setTextureVScroll().

## Member Data Documentation

bool Ogre::TexCoordModifierControllerValue::mRotate`[protected]`

| Definition at line 90 of file OgrePredefinedControllers.h. Referenced by TexCoordModifierControllerValue().

bool Ogre::TexCoordModifierControllerValue::mScaleU`[protected]`

| Definition at line 89 of file OgrePredefinedControllers.h. Referenced by TexCoordModifierControllerValue().

bool Ogre::TexCoordModifierControllerValue::mScaleV`[protected]`

| Definition at line 89 of file OgrePredefinedControllers.h. Referenced by TexCoordModifierControllerValue().

TextureUnitState* Ogre::TexCoordModifierControllerValue::mTextureLayer`[protected]`

| Definition at line 91 of file OgrePredefinedControllers.h. Referenced by getValue(), setValue(), and TexCoordModifierControllerValue().

bool Ogre::TexCoordModifierControllerValue::mTransU`[protected]`

| Definition at line 88 of file OgrePredefinedControllers.h. Referenced by TexCoordModifierControllerValue().

bool Ogre::TexCoordModifierControllerValue::mTransV`[protected]`

| Definition at line 88 of file OgrePredefinedControllers.h. Referenced by TexCoordModifierControllerValue().

The documentation for this class was generated from the following files:

- OgrePredefinedControllers.h
- OgrePredefinedControllers.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:43 2004